========
Usage
========

To use tempest-lib in a project::

    import tempest_lib

:ref:`cli`
----------
The CLI testing framework allows you to test the command line interface for
an OpenStack project's python-*client


:ref:`decorators`
-----------------
These decorators enable common utility functions inside of your test suite


:ref:`rest_client`
------------------
The base building block for making a project specific client


